<div class="eh-w-100p eh-h-100p eh-xy-center eh-minw-56">
  <button *ngIf="!showSpinner" class="e-btn eh-w-100p eh-h-100p" [ngClass]="buttonCSS" fxLayout="row"
    fxLayoutAlign="start center" [matTooltip]="toolTip" [disabled]="disabled" (click)="onClick($event)">
    <mat-icon class="e-mat-icon" [ngClass]="iconCSS">{{icon}}</mat-icon>

    <span class="eh-txt-underline eh-ml-4" [ngClass]="titleCSS">{{title}}</span>
  </button>

  <div *ngIf="showSpinner" class="e-spinner e-spinner--3 e-spinner--center eh-h-100v">
    <mat-spinner [diameter]="18" [strokeWidth]="2"></mat-spinner>
  </div>
</div>